package org.ow2.orchestra.designer.bpmn.model.operations;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import org.ow2.orchestra.designer.bpmn.model.PoolModel;


public class InterfaceModel implements Serializable {

  private String id;
  private String name;
  private PoolModel poolModel;
  private final Map<String, OperationModel> operations = new HashMap<String, OperationModel>();
  private String portTypeQName;

  public PoolModel getPoolModel() {
    return poolModel;
  }

  public void setPoolModel(PoolModel poolModel) {
    this.poolModel = poolModel;
  }

  public void setName(final String name) {
    this.name = name;
  }

  public String getName() {
    return this.name;
  }


  public String getId() {
    return this.id;
  }

  public void setId(final String id) {
    this.id = id;
  }

  public Map<String, OperationModel> getOperations() {
    return this.operations;
  }

  public String getPortTypeQName() {
    return portTypeQName;
  }

  public void setPortTypeQName(String portTypeQName) {
    this.portTypeQName = portTypeQName;
  }
}
